-

--sqlplus "yolou@(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(Host=lorien.arda.lan)(Port=1521))(CONNECT_DATA=(SID=ORCLIUT)))"
--1
DECLARE 
v_prenom client.prenom%type;
v_nom client.nom%type;
v_email client.email%type;
v_ville client.ville%type;
BEGIN
SELECT prenom, nom, email, ville INTO v_prenom, v_nom, v_email, v_ville FROM client where id=1;
DBMS_OUTPUT.PUT_LINE(v_prenom || '' || v_nom || '' || v_email || '' || v_ville);
END;
/

--2
DECLARE 
v_commande commande%ROWTYPE;
BEGIN
SELECT * INTO v_commande FROM commande where id=1;
DBMS_OUTPUT.PUT_LINE(v_commande.id || ' ' || v_commande.reference || ' ' || v_commande.client_id || ' ' || v_commande.date_achat);
END;

--3 

DECLARE

TYPE t_produit_record IS RECORD
(id produit.id%TYPE,
nom produit.nom_produit%TYPE,
prix_unitaire produit.prix_unitaire%TYPE);
v_produit t_produit_record;

BEGIN 
SELECT id, nom_produit, prix_unitaire INTO v_produit FROM Produit WHERE id=1;
DBMS_OUTPUT.PUT_LINE(v_produit.id || ' ' || v_produit.nom || ' ' || v_produit.prix_unitaire);
END;
/

--4 

DECLARE 
CURSOR c.client_commande is SELECT c.id,c.prenom,c.nom,c.email,c.ville,co.date_achat,co.id_produit,lc.quantite FROM Client c JOIN Commande co ON c.id=co.client_id JOIN ligne_commande WHERE co.date_achat=;




